Core - Task # 56352

Epic # 55070 (Accepted): Workpackages
Epic # 54542 (Accepted): WP: Importer / Exporter with relations MM/IRRE/FAL
Story # 55520 (Resolved): As an User | want to create exports in v. 6.2 and import them in v. 6.2

Status: Resolved Priority: Should have

Author: Marc Bastian Heinrichs Category: Import/Export (T3D)
Created: 2014-02-26 Assigned To: Marc Bastian Heinrichs
Updated: 2014-04-15 Due date:

TYPOS3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: Impexp: Files of TCA type "group" internal_type "file" are missing in export

Description

this is related to commits:

- FAL http://review.typo3.org/10655
- Fix for file_reference: https://review.typo3.org/21764

and to patch
- refindex SQL error https://review.typo3.0rg/27310

Related issues:

related to Core - Feature # 33751: Make use of File Abstraction Layer in Backend
related to Core - Bug # 49538: No references displayed in filelist for "inter...
related to Grid Elements - Bug # 55380: SQL Error when choosing flexform file
related to Core - Bug # 56353: SQL Error in sys_refindex on saving records wi...
related to Core - Task # 56071: Impexp: add test scenarios for tca types grou...
related to Core - Task # 56991: Reflndex is broken for FlexForm fields group ...

Resolved
Resolved
Closed

Resolved
Resolved
Resolved

2012-02-07
2013-07-01
2014-01-28
2014-02-26
2014-02-18
2014-03-17

Associated revisions

Revision 53c6adc8 - 2014-03-17 21:43 - Marc Bastian Heinrichs

[BUGFIX] Fields of type group file are not properly indexed

If an record with a field of type "group”, internal_type "file"

should be indexed in the Referencelndex an SQL error exception
gets thrown. So the relation to the file isn't represented in the
refindex. Thus those files are also missing in exports created

with system extension impexp.

This is caused by wrong array keys and incorrectly storing a file
relation as DB relation since merge of FAL.

Resolves: #56353

Resolves: #56352

Releases: 6.2, 6.1, 6.0

Change-Id: 178211efcb6bf3032811ef0b0e20ed7f98f9fa8fb
Reviewed-on: https://review.typo3.org/27310

Tested-by: Sebastian Fischer
Tested-by: Christian Zenker

2015-08-04
http://review.typo3.org/10655
https://review.typo3.org/21764
https://review.typo3.org/27310
https://review.typo3.org/27310

Reviewed-by: Wouter Wolters
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring

Revision 1dbfe75e - 2014-04-15 10:08 - Marc Bastian Heinrichs

[BUGFIX] Fields of type group file are not properly indexed

If an record with a field of type "group", internal_type "file"

should be indexed in the Referencelndex an SQL error exception
gets thrown. So the relation to the file isn't represented in the
refindex. Thus those files are also missing in exports created

with system extension impexp.

This is caused by wrong array keys and incorrectly storing a file

relation as DB relation since merge of FAL.

Resolves: #56353

Resolves: #56352

Releases: 6.2, 6.1, 6.0

Change-Id: 178211efcb6bf3032811ef0b0e20ed7f98f9fa8fb
Reviewed-on: https://review.typo3.org/28795

Reviewed-by: Marc Bastian Heinrichs
Tested-by: Marc Bastian Heinrichs

Revision 75f6b1b6 - 2014-04-15 10:09 - Marc Bastian Heinrichs

[BUGFIX] Fields of type group file are not properly indexed

If an record with a field of type "group”, internal_type "file"

should be indexed in the Referencelndex an SQL error exception
gets thrown. So the relation to the file isn't represented in the
refindex. Thus those files are also missing in exports created

with system extension impexp.

This is caused by wrong array keys and incorrectly storing a file
relation as DB relation since merge of FAL.

Resolves: #56353

Resolves: #56352

Releases: 6.2, 6.1, 6.0

Change-Id: 178211efcb6bf3032811ef0b0e20ed7f98f9fa8fb
Reviewed-on: https://review.typo3.org/28796

Reviewed-by: Marc Bastian Heinrichs
Tested-by: Marc Bastian Heinrichs

History

#1 - 2014-02-27 10:30 - Marc Bastian Heinrichs
- Status changed from New to Accepted
- Assigned To set to Marc Bastian Heinrichs
#2 - 2014-03-03 14:59 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27310

#3 - 2014-03-03 17:26 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27310

#4 - 2014-03-04 09:42 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/27310

#5 - 2014-03-04 09:45 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28021

#6 - 2014-03-04 09:47 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27310

#7 - 2014-03-04 10:05 - Marc Bastian Heinrichs
- % Done changed from 0 to 90

#8 - 2014-03-17 22:30 - Marc Bastian Heinrichs

- Status changed from Under Review to Resolved
- % Done changed from 90 to 100

Applied in changeset commit:53c6adc83be0e088c5837¢c86d7c7fc62f3e511c6.

#9 - 2014-03-25 19:39 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_6-1 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28795

#10 - 2014-03-25 19:46 - Gerrit Code Review
Patch set 1 for branch TYPO3_6-0 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28796

#11 - 2014-04-15 10:30 - Marc Bastian Heinrichs
- Status changed from Under Review to Resolved

Applied in changeset commit:75f6b1b6955fc9ae52bb609b7cadba3c9efb390a.
